Seite 1 von 1

Security Update 2018-001 Swift 4.1.1 for Ubuntu 14.04

Verfasst: 10.05.2018 11:35
von admin
APPLE-SA-2018-05-04-1 Security Update 2018-001 Swift 4.1.1 for
Ubuntu 14.04

Security Update 2018-001 Swift 4.1.1 for Ubuntu 14.04 is
now available and addresses the following:

Swift for Ubuntu
Available for: Ubuntu 14.04
Not impacted: Ubuntu 16.04 and 16.10
Impact: A process may gain admin privileges and execute arbitrary
code
Description: An issue existed in specific versions of Swift on Ubuntu
14.04 where libraries are loaded with write and execute permissions.
This issue was addressed with improved permissions.
CVE-2018-4220: Apple

Re: Security Update 2018-001 Swift 4.1.1 for Ubuntu 14.04

Verfasst: 22.05.2018 08:36
von Yolo
Finde ich ja spannend, dass man Swift auch unter Ubuntu nutzen kann.